function::error
Prev | Chapter 22. Logging Tapset | Next

## Name

function::error — Send an error message

## Synopsis

        error(msg:string)

## Arguments

`msg`

  The formatted message string

## Description

An implicit end-of-line is added. staprun prepends the string “ERROR:”. Sending an error message aborts the currently running probe. Depending on the MAXERRORS parameter, it may trigger an `exit`.

Prev | Up | Next
function::dump_stack | Home | function::exit